<template>
  <div>
    <a-row :gutter="[16, 16]">
      <a-col>
        <h2>{{ category.name | Capitalise }}</h2>
      </a-col>
    </a-row>
    <a-row :gutter="[16, 16]">
      <ItemCard v-for="i in category.items" :key="i.id" :item="i" />
    </a-row>
  </div>
</template>

<script lang="ts">
import { Prop, Component, Vue } from "vue-property-decorator";
import { CategoryModel } from "@/interfaces/interfaces";
import ItemCard from "@/components/ItemCard.vue";

@Component({
  components: {
    ItemCard
  }
})
export default class Category extends Vue {
  @Prop() category!: CategoryModel;
}
</script>
